Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.texteditor
Class TextSelectionNavigationLocation

    java.lang.Object
      org.eclipse.ui.NavigationLocation
          org.eclipse.ui.texteditor.TextSelectionNavigationLocation

All Implemented Interfaces:
  INavigationLocation

public class TextSelectionNavigationLocation
extends NavigationLocation

Represents the text selection context marked for the user in the navigation history.

Since:
  2.1

Constructor Summary
`TextSelectionNavigationLocation(ITextEditor part, boolean initialize)` Creates a new text selection navigation location.

Method Summary
`void` | `dispose()` May be extended by clients.
`boolean` | `mergeInto(INavigationLocation location)` Merges the given location into this one.
`void` | `partSaved(IEditorPart part)` Hook method which is called when the given editor has been saved.
`void` | `releaseState()` Releases the state of this location.
`void` | `restoreLocation()` Restores this location.
`void` | `restoreState(IMemento memento)` Restores the object state from the given memento.
`void` | `saveState(IMemento memento)` Stores the object state into the given memento.
`String` | `toString()`
`void` | `update()` Updates the this location.

Methods inherited from class org.eclipse.ui.NavigationLocation
`getEditorPart, getInput, getText, setInput`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextSelectionNavigationLocation

    public TextSelectionNavigationLocation(ITextEditor part,
                                           boolean initialize)

  Creates a new text selection navigation location.

Parameters:
  `part` - the text editor part
  `initialize` - a boolean indicating whether to initialize the new instance from the current selection

Method Detail

### toString

    public String toString()

### dispose

    public void dispose()

  Description copied from class: `NavigationLocation`
  May be extended by clients.

  Specified by:
    `dispose` in interface `INavigationLocation`
  Overrides:
    `dispose` in class `NavigationLocation`
  See Also:
    `INavigationLocation.dispose()`

### releaseState

    public void releaseState()

  Releases the state of this location.

  Specified by:
    `releaseState` in interface `INavigationLocation`
  Overrides:
    `releaseState` in class `NavigationLocation`
  See Also:
    `INavigationLocation.releaseState()`

### mergeInto

    public boolean mergeInto(INavigationLocation location)

  Merges the given location into this one.

  Parameters:
    `location` - the location to merge into this one
  Returns:
    `true`if merging was successful``

### restoreLocation

    public void restoreLocation()

  Restores this location.

### restoreState

    public void restoreState(IMemento memento)

  Restores the object state from the given memento.

  Parameters:
    `memento` - the memento

### saveState

    public void saveState(IMemento memento)

  Stores the object state into the given memento.

  Parameters:
    `memento` - the memento

### partSaved

    public void partSaved(IEditorPart part)

  Hook method which is called when the given editor has been saved.

  Parameters:
    `part` - the editor part

### update

    public void update()

  Updates the this location.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.